<?php
//Fixar utgende text
function fix_out($texten) {
  //Tar bort HTML-taggar
  $texten = strip_tags($texten);
  //Byter t  mot motsvarande latin1-koder (s det funkar 100 i staterna)
  	$texten = str_replace("&#39;", "'", $texten);
	$texten = str_replace("&apos;", "'", $texten);
	$texten = str_replace('&quot;', '"', $texten);
	$texten = str_replace("&", "&amp;", $texten);
	$texten = str_replace("", "&aring;", $texten);
  	$texten = str_replace("", "&auml;", $texten);
  	$texten = str_replace("", "&ouml;", $texten);
 	$texten = str_replace("", "&Aring;", $texten);
 	$texten = str_replace("", "&Auml;", $texten);
 	$texten = str_replace("", "&Ouml;", $texten);
  //Includes BBCodes into your blog
	$texten = preg_replace('#\[b\](.*?)\[/b\]#si', '<b>\1</b>', $texten);	
	$texten = preg_replace('#\[i\](.*?)\[/i\]#si', '<i>\1</i>', $texten);
	$texten = preg_replace('#\[u\](.*?)\[/u\]#si', '<u>\1</u>', $texten);
	$texten = preg_replace('#\[center\](.*?)\[/center\]#si', '<center>\1</center>', $texten);
	$texten = preg_replace('#\[url\]([\r\n]*)(http://|ftp://|https://|ftps://)([^\s\'\";\+]*?)([\r\n]*)\[/url\]#si', '<a href=\'\2\3\' target=\'_blank\'>\2\3</a>', $texten);
	$texten = preg_replace('#\[url\]([\r\n]*)([^\s\'\";\+]*?)([\r\n]*)\[/url\]#si', '<a href=\'http://\2\' target=\'_blank\'>\2</a>', $texten);
	$texten = preg_replace('#\[url=([\r\n]*)(http://|ftp://|https://|ftps://|irc://)([^\s\'\";\+]*?)\](.*?)([\r\n]*)\[/url\]#si', '<a href=\'\2\3\' target=\'_blank\'>\4</a>', $texten);
	$texten = preg_replace('#\[url=([\r\n]*)([^\s\'\";\+]*?)\](.*?)([\r\n]*)\[/url\]#si', '<a href=\'http://\2\' target=\'_blank\'>\3</a>', $texten);
	$texten = preg_replace('#\[mail\]([\r\n]*)([^\s\'\";:\+]*?)([\r\n]*)\[/mail\]#si', '<a href=\'mailto:\2\'>\2</a>', $texten);
	$texten = preg_replace('#\[mail=([\r\n]*)([^\s\'\";:\+]*?)\](.*?)([\r\n]*)\[/mail\]#si', '<a href=\'mailto:\2\'>\2</a>', $texten);
	$texten = preg_replace('#\[small\](.*?)\[/small\]#si', '<span class=\'small\'>\1</span>', $texten);
	$texten = preg_replace('#\[color=(black|blue|brown|cyan|gray|green|lime|maroon|navy|olive|orange|purple|red|silver|violet|white|yellow)\](.*?)\[/color\]#si', '<span style=\'color:\1\'>\2</span>', $texten);
	$texten = preg_replace('#\[flash width=([0-9]*?) height=([0-9]*?)\]([^\s\'\";:\+]*?)(\.swf)\[/flash\]#si', '<object classid=\'clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\' codebase=\'http://active.macromedia.com/flash6/cabs/swflash.cab#version=6,0,0,0\' id=\'\3\4\' width=\'\1\' height=\'\2\'><param name=movie value=\'\3\4\'><param name=\'quality\' value=\'high\'><param name=\'bgcolor\' value=\'#ffffff\'><embed src=\'\3\4\' quality=\'high\' bgcolor=\'#ffffff\' width=\'\1\' height=\'\2\' type=\'application/x-shockwave-flash\' pluginspage=\'http://www.macromedia.com/go/getflashplayer\'></embed></object>', $texten);
	$texten = preg_replace("#\[img\]((http|ftp|https|ftps)://)(.*?)(\.(jpg|jpeg|gif|png|JPG|JPEG|GIF|PNG))\[/img\]#sie","'<img src=\'\\1'.str_replace(array('.php','?','&','='),'','\\3').'\\4\' style=\'border:0px\'>'",$texten);
  //Radbryter efter 75 tecken utan mellanslag
	$texten = wordwrap($texten, 75, " ", 1);
  //Gr om nl lagrat i text till BR
  	$texten = nl2br($texten);
  return $texten;
}
?>